package event

const (
	EVENT_PRODUCT_ADDED_TO_BASKET     = "event.ProductAddedToBasketEvent"
	EVENT_PRODUCT_REMOVED_FROM_BASKET = "event.ProductRemovedFromBasketEvent"
)

type ProductAddedToBasketEvent struct {
	*Event
	ProductID int    `json:"product_id"`
	Quantity  int    `json:"quantity"`
	BasketID  string `json:"basket_id"`
}

type ProductRemovedFromBasketEvent struct {
	*Event
	ProductID int    `json:"product_id"`
	Quantity  int    `json:"quantity"`
	BasketID  string `json:"basket_id"`
}
